Hi There,
I am working with a model which has all the faces colour properties set to "default". If I change the material of the model, the faces obviously don't change. Is there a way I can select all the faces at once to change the face colour property to "as body".
Currently I can only select one face at a time.
Thanks
I don't know of any way without a macro. Try the following:
Public Sub AllFacesAsPartRenderStyle() Dim oPartDocument As Inventor.PartDocument Set oPartDocument = ThisApplication.ActiveDocument Dim oCompDef As Inventor.ComponentDefinition Set oCompDef = oPartDocument.ComponentDefinition Dim oSBodies As Inventor.SurfaceBodies Set oSBodies = oCompDef.SurfaceBodies Dim oSBody As Inventor.SurfaceBody Dim oFace As Inventor.Face For Each oSBody In oSBodies For Each oFace In oSBody.Faces oFace.SetRenderStyle kBodyRenderStyle Next oFace oSBody.SetRenderStyle kPartRenderStyle Next oSBody End Sub
Expand the Solid Bodies folder, right-click on the solid and select Properties. You can set the color style for the whole body.
@Anonymous wrote:Expand the Solid Bodies folder, right-click on the solid and select Properties. You can set the color style for the whole body.
Your post jogged my memory, but you missed one detail: you also have to select "Strip Overrides" when editing the body properties. But your solution is less troublesome than my macro for a one-off fix. I use the macro quite a lot because I have to deal with a lot of imported parts that always seem to have this problem, and I can run the macro with a single click (I've added my own button).
"Expand the Solid Bodies folder, right-click on the solid and select Properties. You can set the color style for the whole body."
Thanks, but I have already tried this an it did not work as expected. I have found that if I select individual faces RMB, select properties, the faces colour shows up as default instead of as part or as body. If I set the face properties to one of these, the colour is then as per the material colour style.
I have further found that if I follow the procedure as you suggested after I have set some of the faces to "as part" they revert back to default....
Cheers
Right Click to select the body. When the screen pops up asking the color check the box "Clear All Overrides"
Of course you can change the entire body at once.
Attach your file here if you can't figure it out.
Try 'Tool' -> 'Material and Appearance' -> 'Clear'.
It can slect all the overwritten faces.
Can't find what you're looking for? Ask the community or share your knowledge.